Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Add a new currency

Idempotency Supported

This API is used to add a new currency to your Chargebee site. Prior to using this API, ensure that the multi-currency feature is enabled. If the forex_type is set to manual , you can specify the manual_exchange_rate . Additionally, the currency code provided must adhere to the three-letter ISO standard currency codes.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/currencies

Input Parameters

currency_code
required, string, max chars=3

A three letter currency code. For example, GBR, INR, and more.

forex_type
required, enumerated string

This represents the exchange rate type set for the currency.

Enum Values
manual

If forex_type is manual , you will be able to set the conversion rate for the currency. You need to update the exchange rate each time your exchange rate provider changes it

auto

If forex_type is auto , conversion rate will be auto updated by Chargebee every day with third party providers (using external currency conversion providers)

manual_exchange_rate
optional, string, max chars=20

This parameter allows you to pass the exchange rate in decimal format. When forex_type is manual you have to set the exchange rate for additional currencies in manual_exchange_rate parameter. A maximum of nine decimal values are allowed to pass in this field.

Returns

Currency object
Resource object representing currency